Mail archive
alpine-aports

[alpine-aports] [PATCH v2] testing/perl-par-packer: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Mon, 14 Dec 2015 15:25:13 +0000

---
This should have built ok before if perl-par && perl-par-dist were available.
Adds 2 extra $makedepends
 testing/perl-par-packer/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/perl-par-packer/APKBUILD
diff --git a/testing/perl-par-packer/APKBUILD b/testing/perl-par-packer/APKBUILD
new file mode 100644
index 0000000..affb574
--- /dev/null
+++ b/testing/perl-par-packer/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=perl-par-packer
+pkgver=1.028
+_realname=PAR-Packer-$pkgver
+pkgrel=0
+pkgdesc="App::Packer::Backend interface, for generating stand-alone executables, perl scripts and PAR files"
+url="http://search.cpan.org/dist/Par-Packer/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends perl-archive-zip perl-par perl-par-dist perl-module-scandeps perl-getopt-argvfile"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RS/RSCHUPP/$_realname.tar.gz"
+
+_builddir="$srcdir"/$_realname
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="8fe37f242f6633558266b3575c5e200e  PAR-Packer-1.028.tar.gz"
+sha256sums="a6276a88910eefeac08aa7c3afeea9005495ea0cc2230818df513ecec756473e  PAR-Packer-1.028.tar.gz"
+sha512sums="245de0f5fcef082e21c39bd8e0ba1e77259a3ea80f29fe56613f5b97575e1c097b45662c163e15522ab7c5c74b8ad0204d6544a2d17258450738c8ef81e790a8  PAR-Packer-1.028.tar.gz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Dec 14 2015 - 15:25:13 GMT